Subject: Re: bug#41099: 28.0.50; TRAMP process-file ignores exit status of remote process

From: Michael Albinus <[email-masked]>
Date: Sat, 23 May 2020 21:35:42 +0200

Philipp Stephani <[email-masked]> writes:

Hi Philipp,

> To be fair, I care far more about the initial bug report (correct
> treatment of exit codes below 128). Many programs follow the
> convention to treat small nonzero exit codes as "expected" errors
> (e.g. grep: 1 means no match found) and higher exit codes as
> "unexpected" errors. In that light a distinction between small exit
> codes is more important than trying to achieve 100% correctness when
> it comes to signals. So I'm definitely fine with adding a
> customization option: anything better would likely be more complex
> than is warranted.

Thanks for the feedback. Since the user option has been added already, I
believe we could regard this bug as solved entirely.

Best regards, Michael.